# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IPageInstance

Packages that use IPageInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IPageInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IPageInstance
Modifier and Type
Method
Description
`void`
MasterPageEventAdapter.`onPageEnd(IPageInstance page, IReportContext reportContext)`
`void`
ReportEventAdapter.`onPageEnd(IPageInstance page, IReportContext reportContext)`
`void`
MasterPageEventAdapter.`onPageStart(IPageInstance page, IReportContext reportContext)`
`void`
ReportEventAdapter.`onPageStart(IPageInstance page, IReportContext reportContext)`

## Uses of IPageInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IPageInstance
Modifier and Type
Method
Description
`void`
IMasterPageEventHandler.`onPageEnd(IPageInstance page, IReportContext reportContext)`
Handle the onPageEnd event
`void`
IReportEventHandler.`onPageEnd(IPageInstance page, IReportContext reportContext)`
Handle the onPageEnd event
`void`
IMasterPageEventHandler.`onPageStart(IPageInstance page, IReportContext reportContext)`
Handle the onPageStart event
`void`
IReportEventHandler.`onPageStart(IPageInstance page, IReportContext reportContext)`
Handle the onPageStart event